Bug 782508 - Propose that you turn on PrivateTmp=true in service file for xl2tpd
Propose that you turn on PrivateTmp=true in service file for xl2tpd
Product: Fedora
Classification: Fedora
Component: xl2tpd (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
Depends On:
Blocks: PrivateTmp
  Show dependency treegraph
Reported: 2012-01-17 10:47 EST by Daniel Walsh
Modified: 2012-02-28 14:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-28 14:54:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-01-17 10:47:55 EST
I would like to propose using PrivateTmp for l2tpd systemd unit file
This should make the use of /tmp directory more secure
and avoid users from being able to potentially effect it.

Comment 1 Daniel Walsh 2012-02-06 15:46:16 EST
Any change on this bug.  We are coming up to Feature Freeze, and would like some comment on this bug.

If you do not believe this application uses /tmp than please comment on this and close the bug.  

If you believe this application needs to use /tmp to communicate with other applications or users then you can close this bug with that comment.

If your app does not use systemd, then close this bug with that comment.

If you have no idea, then please add a comment, and change the bug to assigned.

I need to update the status on this feature.

Thanks for your help.
Comment 2 Paul Wouters 2012-02-27 21:28:46 EST
I don't think this daemon needs to write in /tmp at all.

The only place where this daemon does need to write is /var/run/ to create the l2tp-socket with which users talk to the daemon (/var/run/xl2tpd/l2tp-socket)
Comment 3 Daniel Walsh 2012-02-28 14:54:19 EST
I think at one time the sock file was in /tmp.  I will clean up the policy and close this bug.

Note You need to log in before you can comment on or make changes to this bug.